| Kea 3.0.2-git

opaque_data_tuple.h File Reference
`#include <dhcp/option.h>`
`#include <util/buffer.h>`
`#include <iostream>`
`#include <iterator>`
`#include <string>`
`#include <vector>`
Include dependency graph for opaque_data_tuple.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::OpaqueDataTuple
| Represents a single instance of the opaque data preceded by length. More...
class | isc::dhcp::OpaqueDataTupleError
| Exception to be thrown when the operation on `OpaqueDataTuple` object results in an error. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< OpaqueDataTuple > | isc::dhcp::OpaqueDataTuplePtr
| Pointer to the `OpaqueDataTuple` object.

## Functions
std::ostream & | isc::dhcp::operator<< (std::ostream &os, const OpaqueDataTuple &tuple)
| Inserts the `OpaqueDataTuple` as a string into stream.
std::istream & | isc::dhcp::operator>> (std::istream &is, OpaqueDataTuple &tuple)
| Inserts data carried in the stream into the tuple.